{% extends "base.html" %}

{% block content %}
  <div class="container">
    <div class="row mt-4">
      <div class="col-lg-10 col-md-9 col-sm-8 col-7">
        <h1>All Clients</h1>
      </div>
      <div class="col-lg-2 col-md-3 col-sm-4 col-5">
        <a href="{{ url_for('client_add') }}"><button class="btn btn-primary btn-block">Add new</button></a>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <table class="table table-hover table-responsive-sm">
          <thead>
            <tr>
              <th scope="col">#</th>
              <th scope="col">Name</th>
              <th scope="col">Address</th>
              <th scope="col">Amount</th>
              <th scope="col">Edit</th>
              <th scope="col">View</th>
            </tr>
          </thead>
          <tbody>
            {% for client in clients %}
              <tr>
                <th scope="row">{{ loop.index }}</th>
                <td>{{ client.name }}</td>
                <td>{{ client.address.name }}</td>
                {% if client.get_amount() < 0 %}
                <td>{{ client.get_amount()*-1 }} Cr</td>
                {% else %}
                <td>{{ client.get_amount() }} Dr</td>
                {% endif %}
                <td><a href="{{ url_for('client_edit', client_id=client.id) }}"><i class="fas fa-user-edit text-warning"></i></a></td>
                <td><a href="{{ url_for('client_all', client_id=client.id) }}"><i class="fas fa-eye text-success"></i></a></td>
              </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </div>
{% endblock %}